# This code compares two files with CMB spectra
# Made by Savvas Nesseris

#import matplotlib
#matplotlib.use('Agg')
import matplotlib.pyplot as plt
from scipy.integrate import odeint
from pylab import loadtxt
#from mpmath import *
#import numpy as np
#mp.dps = 25; mp.pretty = True

#Read the files wit hthe spectra
cls1=loadtxt("./data/test1_scalCls.dat")
cls2=loadtxt("./data/test2_scalCls.dat")

#The multipoles
l1=cls1[2:, 0]
l2=cls1[2:, 0]

# This makes the plot and saves it as a PDF
fig=plt.figure(figsize=(10,3))

#
plt.subplot(1, 3, 1)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The TT CMB spectra ')
plt.plot(l1, cls1[2:, 1], 'r', label=r'$\Omega_K=0.00$')
plt.plot(l1, cls2[2:, 1], 'g', label=r'$\Omega_K=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{TT}$')
plt.grid()

#
plt.subplot(1, 3, 2)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The EE CMB spectra ')
plt.plot(l1, cls1[2:, 2], 'r', label=r'$\Omega_K=0.00$')
plt.plot(l1, cls2[2:, 2], 'g', label=r'$\Omega_K=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{EE}$')
plt.grid()

#
plt.subplot(1, 3, 3)
#Other options are plot, semiloy, semilogx, loglog
plt.title(r'The TE CMB spectra ')
plt.plot(l1, cls1[2:, 3], 'r', label=r'$\Omega_K=0.00$')
plt.plot(l1, cls2[2:, 3], 'g', label=r'$\Omega_K=0.05$')
plt.legend(loc='best')
plt.xlabel(r'$l$')
plt.ylabel(r'$\frac{l(l+1)}{2\pi}C_l^{TE}$')
plt.grid()

# Show plot 
plt.tight_layout(pad=1)
plt.show()
fig.savefig('camb_python_plots.pdf', bbox_inches='tight')