(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22229,        601]
NotebookOptionsPosition[     21470,        575]
NotebookOutlinePosition[     21812,        590]
CellTagsIndexPosition[     21769,        587]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData["Quit"], "Input",
 CellChangeTimes->{{3.7258851058165035`*^9, 3.725885106496498*^9}}],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<ErrorBarPlots`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "ErrorBarLogPlots`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.704184174580628*^9, 3.7041841824766273`*^9}, {
  3.7041842137728224`*^9, 3.704184215023884*^9}, {3.7041842974207797`*^9, 
  3.7041842977413177`*^9}, {3.72621879724123*^9, 3.7262187991001062`*^9}, {
  3.7264847105453997`*^9, 3.7264847311466913`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"data1", "=", 
   RowBox[{"FileNames", "[", "\"\<./CAMB-master/test1_scalCl*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data2", "=", 
   RowBox[{"FileNames", "[", "\"\<./CAMB-master/test2_scalCl*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cls1", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"data1", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ";;", 
      RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cls2", "=", 
   RowBox[{
    RowBox[{"Import", "[", 
     RowBox[{"data2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ";;", 
      RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7041842190385685`*^9, 3.704184246477624*^9}, {
   3.7046116413411293`*^9, 3.7046116434998703`*^9}, {3.714974364622031*^9, 
   3.714974400438363*^9}, {3.716282315942917*^9, 3.7162823483252316`*^9}, {
   3.7162824285959873`*^9, 3.7162824304351225`*^9}, {3.725780015236601*^9, 
   3.7257800665545263`*^9}, {3.725780372614794*^9, 3.725780377802844*^9}, {
   3.725869944384184*^9, 3.7258699481592255`*^9}, {3.7262188067698207`*^9, 
   3.726218818385087*^9}, 3.726218860696803*^9, {3.726484922072544*^9, 
   3.726484924999826*^9}, {3.736137035432616*^9, 3.7361370614985623`*^9}, {
   3.7361593101062627`*^9, 3.736159323946342*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat", "[", "g_", "]"}], ":=", 
  RowBox[{"Which", "[", 
   RowBox[{
    RowBox[{"g", "\[Equal]", "\"\<TT\>\""}], ",", "2", ",", 
    RowBox[{"g", "\[Equal]", "\"\<EE\>\""}], ",", "3", ",", 
    RowBox[{"g", "\[Equal]", "\"\<TE\>\""}], ",", "4"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"abs", "[", 
   RowBox[{"x_", ",", "f_", ",", "g_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"g", "\[Equal]", "\"\<TE\>\""}], "&&", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"ToString", "[", "f", "]"}], "\[Equal]", 
        RowBox[{"ToString", "[", "ListLogPlot", "]"}]}], "||", 
       RowBox[{
        RowBox[{"ToString", "[", "f", "]"}], "==", 
        RowBox[{"ToString", "[", "ListLogLogPlot", "]"}]}]}], ")"}]}], ",", 
    RowBox[{"Evaluate", "[", 
     RowBox[{"Abs", "[", "x", "]"}], "]"}], ",", 
    RowBox[{"Evaluate", "[", "x", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.736159383129489*^9, 3.7361593845664797`*^9}, {
  3.7361594275265884`*^9, 3.7361594652066307`*^9}, {3.7361611805366936`*^9, 
  3.736161180844942*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"abs", "[", 
         RowBox[{
          RowBox[{"cls1", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"dat", "[", "g", "]"}]}], "}"}]}], "]"}], "]"}], ",", 
          "f", ",", "g"}], "]"}], ",", 
        RowBox[{"abs", "[", 
         RowBox[{
          RowBox[{"cls2", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"dat", "[", "g", "]"}]}], "}"}]}], "]"}], "]"}], ",", 
          "f", ",", "g"}], "]"}]}], "}"}], "//", "Evaluate"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "g"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[ScriptL]\>\"", ",", 
        "\"\<\!\(\*FractionBox[\(\[ScriptL] \((\[ScriptL] + 1)\)\), \(2  \
\[Pi]\)]\) \!\(\*SubscriptBox[\(C\), \(\[ScriptL]\)]\)\>\""}], "}"}]}]}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", ",", "\"\<TT\>\"", ",", "\"\<Cls\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<TT\>\"", ",", "\"\<EE\>\"", ",", "\"\<TE\>\""}], "}"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "ListPlot", ",", "\"\<Plot type\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "ListPlot", ",", "ListLogPlot", ",", "ListLogLogPlot", ",", 
       "ListLogLinearPlot"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.726485009480205*^9, 3.7264850606975956`*^9}, {
  3.7264850962010703`*^9, 3.726485183274809*^9}, {3.736136834863129*^9, 
  3.7361368376281023`*^9}, {3.736159338215839*^9, 3.7361593636062565`*^9}, {
  3.7361594708353443`*^9, 3.736159476140252*^9}, {3.736159567446476*^9, 
  3.736159570486264*^9}, {3.736159633716391*^9, 3.736159650016106*^9}, {
  3.7361611599567184`*^9, 3.736161162616424*^9}, {3.7361613514066973`*^9, 
  3.7361614221070986`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Path", " ", "to", " ", "Planck15", " ", "data"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"planckall", "=", 
     RowBox[{
     "FileNames", "[", "\"\<.\\\\data\\\\COM_PowerSpect_CMB_R2.02.fits\>\"", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"planck", "=", 
     RowBox[{"Import", "[", 
      RowBox[{
       RowBox[{"planckall", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Data\>\""}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7041843120619507`*^9, 3.7041843163492856`*^9}, 
   3.7046116344768734`*^9, {3.714974421580969*^9, 3.714974426800544*^9}, {
   3.726484693340646*^9, 3.726484701176558*^9}, {3.726484957001281*^9, 
   3.72648496208843*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClsTTlowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"planck", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTThighl", "=", 
   RowBox[{
    RowBox[{"planck", "[", 
     RowBox[{"[", "7", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTElowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"planck", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsTEhighl", "=", 
   RowBox[{
    RowBox[{"planck", "[", 
     RowBox[{"[", "9", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsEElowl", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"planck", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"l_", ",", "dl_", ",", "s1_", ",", "s2_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"l", ",", "dl"}], "}"}], ",", 
       RowBox[{"ErrorBar", "[", 
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"-", "s2"}]}], "}"}], "]"}]}], "}"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClsEEhighl", "=", 
   RowBox[{
    RowBox[{"planck", "[", 
     RowBox[{"[", "11", "]"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "4", ",", "5"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.70461769177756*^9, 3.704617780939479*^9}, {
  3.7051438634356823`*^9, 3.705143863580042*^9}, {3.7051439500736017`*^9, 
  3.7051439663294616`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplTT", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTTlowl", ",", "ClsTThighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplTTlin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTTlowl", ",", "ClsTThighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7041846316611905`*^9, 3.704184633212756*^9}, {
  3.7046177068285875`*^9, 3.704617714399724*^9}, {3.704617749481782*^9, 
  3.7046177521537685`*^9}, {3.704617786122235*^9, 3.704617791034325*^9}}],

Cell[BoxData[
 RowBox[{"?", "Medium"}]], "Input",
 CellChangeTimes->{3.7361612338192387`*^9}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplTT", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplTTlin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
           "\"\<l\>\"", ",", 
            "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TT\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], "}"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.704184700364855*^9, 3.704184712284954*^9}, {
  3.7046116528908453`*^9, 3.7046116689730034`*^9}, {3.7046179195628633`*^9, 
  3.7046180037566614`*^9}, {3.7162822899576163`*^9, 3.7162822908367248`*^9}, {
  3.7162824658953924`*^9, 3.7162824981014185`*^9}, {3.7257803950721874`*^9, 
  3.7257803972911015`*^9}, {3.7258699860319977`*^9, 3.7258700030730095`*^9}, {
  3.726484970373293*^9, 3.7264849775302715`*^9}, {3.736161198727022*^9, 
  3.7361612641713357`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplTElin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTElowl", ",", "ClsTEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplTE", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsTElowl", ",", "ClsTEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.704611204817416*^9, 3.704611241516775*^9}, {
  3.704611337483062*^9, 3.70461135117854*^9}, {3.704617758076518*^9, 
  3.7046177654832277`*^9}, {3.704617801417924*^9, 3.7046178102816596`*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplTE", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], ",", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplTElin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "4"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(TE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], "}"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.7046113580906363`*^9, 3.704611391595546*^9}, {
  3.704611683901729*^9, 3.704611689931743*^9}, {3.704618011098174*^9, 
  3.704618019449789*^9}, {3.7149744639292808`*^9, 3.7149744647263803`*^9}, {
  3.716282511302144*^9, 3.7162825333649025`*^9}, {3.7257804068601685`*^9, 
  3.7257804276592426`*^9}, {3.725870021311998*^9, 3.725870027665098*^9}, {
  3.726485205562147*^9, 3.7264852160749702`*^9}, {3.7264852588273377`*^9, 
  3.726485275759994*^9}, {3.7361612721271276`*^9, 3.7361612762668605`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"planckplEElin", "=", 
   RowBox[{"ErrorListLogLinearPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsEElowl", ",", "ClsEEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"planckplEE", "=", 
   RowBox[{"ErrorListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ClsEElowl", ",", "ClsEEhighl"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Black"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7046114550191755`*^9, 3.704611515739151*^9}, {
  3.7046177722843037`*^9, 3.7046177784919558`*^9}, {3.7046178264424844`*^9, 
  3.7046178410979924`*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"planckplEE", ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"planckplEElin", ",", 
       RowBox[{"ListLogLinearPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"cls1", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
           RowBox[{"cls2", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<l\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(l \((l + 1)\)\), \(2  \
\[Pi]\)]\)\!\(\*SuperscriptBox[SubscriptBox[\(C\), \(l\)], \(EE\)]\) \
(\[Mu]K\!\(\*SuperscriptBox[\()\), \(2\)]\)\>\""}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}], "}"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.704611526074609*^9, 3.704611581130804*^9}, {
  3.704611699228467*^9, 3.704611710732087*^9}, {3.7046180373863835`*^9, 
  3.7046180471453094`*^9}, {3.716282542758202*^9, 3.7162825538885765`*^9}, {
  3.7257804429889703`*^9, 3.7257804471000433`*^9}, {3.7258700374881067`*^9, 
  3.725870044305232*^9}, {3.726485212698449*^9, 3.7264852177860546`*^9}, {
  3.736161282647316*^9, 3.7361612842066307`*^9}}]
},
WindowSize->{1494, 903},
WindowMargins->{{Automatic, 32}, {Automatic, 7}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 98, 1, 45, "Input"],
Cell[659, 23, 539, 9, 104, "Input"],
Cell[1201, 34, 1483, 35, 133, "Input"],
Cell[2687, 71, 1139, 29, 104, "Input"],
Cell[3829, 102, 2381, 61, 202, "Input"],
Cell[6213, 165, 798, 21, 104, "Input"],
Cell[7014, 188, 3069, 99, 191, "Input"],
Cell[10086, 289, 844, 20, 75, "Input"],
Cell[10933, 311, 93, 2, 45, "Input"],
Cell[11029, 315, 2932, 70, 284, "Input"],
Cell[13964, 387, 841, 20, 75, "Input"],
Cell[14808, 409, 2960, 70, 284, "Input"],
Cell[17771, 481, 802, 20, 75, "Input"],
Cell[18576, 503, 2890, 70, 284, "Input"]
}
]
*)

